# StellarisMods

Source code repository for my Stellaris mods.

## [Archaeo Jump Drive](https://steamcommunity.com/sharedfiles/filedetails/?id=2974656285)

This mod adds a new Jump Drive, gated behind the __Archaeoengineers__ Ascension Perk.

Upon choosing the __Archaeoengineers__ Ascension Perk, an event will fire giving the player the __Ancient Jump Calculations__ technology. If the player already has the __Jump Drive__ technology, then a new rare/dangerous society technology will unlock called __Archaeo Jump Drive__. Once it has been researched, the player will unlock the __Archaeo Jump Drive__ ship component to use on their ships. It is meant to be superior to the Psi Jump Drive, however as of writing the balancing is not final yet and suggestions are welcome.

### Compatibility

This mod overwrites the vanilla __Archaeoengineers__ Ascension Perk and the __Psi Jump Drive__.

### Localization

This mod supports the following languages:

| __Language__  | __Contributor__ |
| ------------- | ------------- |
| English  | SeaswimmerTheFsh  |
| Brazilian Portuguese  | FiniteSkylines  |
| French | Arkyd11 |

If you'd like to add more, reach out to me on [Discord](https://discord.com/invite/DCHChT5mM5) or submit a [pull request](https://git.seaswimmer.cc/SeaswimmerTheFsh/StellarisMods/pulls).

## [Big Yards Forked](https://steamcommunity.com/sharedfiles/filedetails/?id=2976268363)

> Titan Assembly Yards and Colossal Assembly Yards take up starbase building slots and have very high energy costs to maintain, but they don't have a constant benefit to justify keeping them around. That's... kind of weird, right?
\- __Keukotis__

This mod is a fork of the original [Big Yards 3.8](https://steamcommunity.com/sharedfiles/filedetails/?id=2975469306) mod by [Keukotis](https://steamcommunity.com/id/Keukotis).

Instead of adding naval capacity to the Titan Assembly Yards and Colossal Assembly Yards, I've added shipyard capacity. The Titan Assembly Yards provide 2 Shipyard Capacity and the Colossal Assembly Yards provide 4 Shipyard Capacity.

### Compatibility

This mod overwrites the ``titan_yards`` and ``colossus_yards`` starbase buildings.

__You need one of the following DLC enabled for this mod to do anything:__

* [Apocalypse](https://store.steampowered.com/app/716670/Stellaris_Apocalypse/)
* [Federations](https://store.steampowered.com/app/1140001/Stellaris_Federations/)
* [Nemesis](https://store.steampowered.com/app/1522090/Stellaris_Nemesis/)

### Localization

This mod supports the following languages:

| __Language__  | __Contributor__ |
| ------------- | ------------- |
| English  | SeaswimmerTheFsh  |
| Brazilian Portuguese  | FiniteSkylines  |
| French | Arkyd11 |

If you'd like to add more, reach out to me on [Discord](https://discord.com/invite/DCHChT5mM5) or submit a [pull request](https://git.seaswimmer.cc/SeaswimmerTheFsh/StellarisMods/pulls).

## [More Starbase Slots](https://steamcommunity.com/sharedfiles/filedetails/?id=2975397565)

This mod adds more Module/Building slots to Starbases (and Orbital Rings).

### Slot Numbers

#### Starbases

| __Level__  | __Module Slots__ | __Building Slots__ |
| :-------------: | :-------------: | :-------------: |
| Starport  | 5  | 2  |
| Starhold  | 10  | 4  |
| Star Fortress  | 15  | 6  |
| Citadel  | 25  | 10  |

#### Orbitial Rings

| __Level__  | __Module Slots__ | __Building Slots__ |
| :-------------: | :-------------: | :-------------: |
| Tier 1  | 5  | 4  |
| Tier 2  | 10  | 6  |
| Tier 3  | 15  | 8  |

### Compatibility

This mod overwrites all tiers of buildable starbases and orbital ring entries.

__This mod requires [UI Overhaul Dynamic](https://steamcommunity.com/sharedfiles/filedetails/?id=1623423360).__

### Credits

Original code is from [Double Starbase Slots](https://steamcommunity.com/sharedfiles/filedetails/?id=2960916028) by Willa Grey.

Original idea (and rough slot numbers) are from [More Starbase Slots for Expanded Starbases](https://steamcommunity.com/sharedfiles/filedetails/?id=2808547642) by [Skogen](https://steamcommunity.com/id/Skogen787).

## Obtainable Dark Matter Listening Post

This mod adds a research to unlock the __Dark Matter Listening Post__, which is typically exclusive to Fallen Empires.

### Compatibility

This mod overwrites the ``dark_matter_listening_post`` Starbase building.

### Localization

This mod supports the following languages:

| __Language__  | __Contributor__ |
| ------------- | ------------- |
| English  | SeaswimmerTheFsh  |

If you'd like to add more, reach out to me on [Discord](https://discord.com/invite/DCHChT5mM5) or submit a [pull request](https://git.seaswimmer.cc/SeaswimmerTheFsh/StellarisMods/pulls).

___
[<img src="https://i.imgur.com/4Und3QN.png">](https://discord.gg/bHVez2C)
